
# coding: utf-8

# ### Load the browser

# In[1]:


# Set up the path to SModelS installation folder
import sys; sys.path.append("."); import smodels_paths


# In[2]:


from smodels.tools.physicsUnits import GeV
from smodels.tools import databaseBrowser
# First load the browser and check the total number of results loaded
browser = databaseBrowser.Browser("official")
print ( len(browser) )


# ### Check the upper limit of a efficiency map result (95% C.L. limit for a given signal region)

# In[3]:


# Check the upper limit for the ANA10-CUT1 signal region:
print ( browser.getULForSR(expid='ATLAS-CONF-2013-053', datasetID='SRA mCT150') )
# Check the upper limit for the ANA6-CUT5 signal region:
print ( browser.getULForSR(expid='ATLAS-CONF-2013-053', datasetID='SRA mCT350') )


# ### Check the upper limit for a upper limit result (95% C.L. limit for a given simplified model/txname and mass) 

# In[4]:


# Check the upper limit for T2bb simplified model with sbottom mass 300 GeV and LSP mass 100 GeV:
print ( browser.getULFor(expid='ATLAS-CONF-2013-053', txname='T2bb', massarray = [[300.*GeV,100.*GeV],[300.*GeV,100.*GeV]]))


# In[5]:


# Check the upper limit for T2bb simplified model with sbottom mass 400 GeV and LSP mass 150 GeV:
print ( browser.getULFor(expid='ATLAS-CONF-2013-053', txname='T2bb', massarray = [[400.*GeV,150.*GeV],[400.*GeV,150.*GeV]]))


# In[6]:


# No results will be given if masses outside the data grid are uses:
print ( browser.getULFor(expid='ATLAS-CONF-2013-053', txname='T2bb', massarray = [[4000.*GeV,150.*GeV],[4000.*GeV,150.*GeV]]))

